Name: xfce4-radio-plugin
Version: 0.4.4
Release: alt1

Summary: V4l radio plugin for XFce Desktop
License: %gpl2plus
Group: Graphical desktop/XFce
Url: http://goodies.xfce.org/projects/panel-plugins/%name
Packager: XFCE Team <xfce@packages.altlinux.org>

Source: %name-%version.tar

BuildRequires(pre): rpm-build-licenses

BuildPreReq: rpm-build-xfce4 xfce4-dev-tools
BuildPreReq: libxfce4panel-devel libxfcegui4-devel
BuildRequires: perl-XML-Parser intltool

Requires: xfce4-panel >= 4.8

%description
This is an Xfce panel plugin which allows you to control your V4l radio
device. You can turn your radio on/off, tune it to some frequency and
manage station presets.

%prep
%setup

%build
# Fix desktop file path for xfce4-panel >= 4.8
sed -i 's|^desktopdir = \$(datadir)/xfce4/panel-plugins|desktopdir = \$(datadir)/xfce4/panel/plugins|' \
   panel-plugin/Makefile.am

%xfce4reconf
%configure \
	--enable-debug=no
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc README ChangeLog AUTHORS
%_libexecdir/xfce4/panel-plugins/*
%_datadir/xfce4/panel/plugins/*.desktop
%_iconsdir/hicolor/*/apps/*

%changelog
* Tue Feb 08 2011 Mikhail Efremov <sem@altlinux.org> 0.4.4-alt1
- Fix desktop file path for xfce4-panel >= 4.8.
- Spec updated, tar.gz -> tar.
- Drop watch file.
- Updated to 0.4.4.

* Mon Dec 29 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.4.0-alt1
- new version

* Sat Jan 05 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.2.1-alt1
- new version
- add watch file

* Tue Jan 30 2007 Eugene Ostapets <eostapets@altlinux.ru> 0.2.0-alt1
- First build

